// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 70;
	objects = {

/* Begin PBXBuildFile section */
		16C383BC47682E60119C08CB /* UIKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 21497598D6296AB30C0EBA84 /* UIKit.framework */; };
		28AC4E4A2DD0E21600A78D36 /* Sharing.appex in Embed Foundation Extensions */ = {isa = PBXBuildFile; fileRef = 28AC4E282DCFF4B000A78D36 /* Sharing.appex */; settings = {ATTRIBUTES = (RemoveHeadersOnCopy, ); }; };
		4CF1B89C17C5E734976BEFBE /* Metal.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 4C6D4774DE6800DAE9E77C70 /* Metal.framework */; };
		6AAF6095EAF01A93F2CE8305 /* libapp.a in Frameworks */ = {isa = PBXBuildFile; fileRef = 0C62A99D37C1C342BB06981B /* libapp.a */; };
		7123EC8A6063C72E5DA3E659 /* QuartzCore.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = BE76A4E4971EE0237680C836 /* QuartzCore.framework */; };
		721E69F824DAAA8F37A0B200 /* main.mm in Sources */ = {isa = PBXBuildFile; fileRef = 3B744E798409E96A0E89BC52 /* main.mm */; };
		963FC20F9ACC71A08235E8FE /* assets in Resources */ = {isa = PBXBuildFile; fileRef = 821EF15B40968C544308C548 /* assets */; };
		9CD4A99062C9C9E459750476 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 1C223AE96283F8269EFE1D03 /* Assets.xcassets */; };
		A447CC741463FB47911E4B24 /* MetalKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = A96F98DDB426B456946F1D11 /* MetalKit.framework */; };
		BE9C241792BABFDF1D2DDE4F /* WebKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 1ECBDB6420B28D950ADFD5BD /* WebKit.framework */; };
		CF2CEA32AF7EA58A3A0F365B /* Security.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = F2840E2A8444B5D60F2DCC9C /* Security.framework */; };
		E13ADF7A534E46B1449CB980 /* CoreGraphics.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 3DB38655A555F328EC1BB430 /* CoreGraphics.framework */; };
		E41492640ABA177519E3F513 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 2CE665AA7ABC7563C685FAA6 /* LaunchScreen.storyboard */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		28AC4E302DCFF4B000A78D36 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 193F5589816ED16BC8109D31 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 28AC4E272DCFF4B000A78D36;
			remoteInfo = Sharing;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXCopyFilesBuildPhase section */
		283EED912DC6170E00943E7E /* Embed Foundation Extensions */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 8;
			dstPath = "";
			dstSubfolderSpec = 13;
			files = (
				28AC4E4A2DD0E21600A78D36 /* Sharing.appex in Embed Foundation Extensions */,
			);
			name = "Embed Foundation Extensions";
			runOnlyForDeploymentPostprocessing = 1;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		0A480F5846CD211418A57C1C /* shortcut.rs */ = {isa = PBXFileReference; lastKnownFileType = text; path = shortcut.rs; sourceTree = "<group>"; };
		0AF1829A934DE85E03752468 /* utils.rs */ = {isa = PBXFileReference; lastKnownFileType = text; path = utils.rs; sourceTree = "<group>"; };
		0C62A99D37C1C342BB06981B /* libapp.a */ = {isa = PBXFileReference; lastKnownFileType = archive.ar; path = libapp.a; sourceTree = "<group>"; };
		1C223AE96283F8269EFE1D03 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		1ECBDB6420B28D950ADFD5BD /* WebKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = WebKit.framework; path = System/Library/Frameworks/WebKit.framework; sourceTree = SDKROOT; };
		21497598D6296AB30C0EBA84 /* UIKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = UIKit.framework; path = System/Library/Frameworks/UIKit.framework; sourceTree = SDKROOT; };
		28AC4E282DCFF4B000A78D36 /* Sharing.appex */ = {isa = PBXFileReference; explicitFileType = "wrapper.app-extension"; includeInIndex = 0; path = Sharing.appex; sourceTree = BUILT_PRODUCTS_DIR; };
		2CE665AA7ABC7563C685FAA6 /* LaunchScreen.storyboard */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; path = LaunchScreen.storyboard; sourceTree = "<group>"; };
		3ADC946E8026E7A68FA70BFA /* main.rs */ = {isa = PBXFileReference; lastKnownFileType = text; path = main.rs; sourceTree = "<group>"; };
		3B744E798409E96A0E89BC52 /* main.mm */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.cpp.objcpp; path = main.mm; sourceTree = "<group>"; };
		3DB38655A555F328EC1BB430 /* CoreGraphics.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreGraphics.framework; path = System/Library/Frameworks/CoreGraphics.framework; sourceTree = SDKROOT; };
		470BC2848DBE1D2B07A68E45 /* Haystack_iOS.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = Haystack_iOS.entitlements; sourceTree = "<group>"; };
		4BA36EE3303714FB12529F11 /* lib.rs */ = {isa = PBXFileReference; lastKnownFileType = text; path = lib.rs; sourceTree = "<group>"; };
		4C6D4774DE6800DAE9E77C70 /* Metal.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Metal.framework; path = System/Library/Frameworks/Metal.framework; sourceTree = SDKROOT; };
		57AA2068BB6F43E241AB4438 /* state.rs */ = {isa = PBXFileReference; lastKnownFileType = text; path = state.rs; sourceTree = "<group>"; };
		6E834838D3CA26B3762E5A2C /* bindings.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = bindings.h; sourceTree = "<group>"; };
		7135138DF06A04E380F056CD /* window.rs */ = {isa = PBXFileReference; lastKnownFileType = text; path = window.rs; sourceTree = "<group>"; };
		7B915725F1CF75963D589426 /* commands.rs */ = {isa = PBXFileReference; lastKnownFileType = text; path = commands.rs; sourceTree = "<group>"; };
		821EF15B40968C544308C548 /* assets */ = {isa = PBXFileReference; lastKnownFileType = folder; path = assets; sourceTree = SOURCE_ROOT; };
		A96F98DDB426B456946F1D11 /* MetalKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = MetalKit.framework; path = System/Library/Frameworks/MetalKit.framework; sourceTree = SDKROOT; };
		BE76A4E4971EE0237680C836 /* QuartzCore.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = QuartzCore.framework; path = System/Library/Frameworks/QuartzCore.framework; sourceTree = SDKROOT; };
		CD15C8A888D518BB414EB1DE /* screenshot.rs */ = {isa = PBXFileReference; lastKnownFileType = text; path = screenshot.rs; sourceTree = "<group>"; };
		D4A71980828D15BC10ECF3D2 /* Haystack.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Haystack.app; sourceTree = BUILT_PRODUCTS_DIR; };
		EBD929FA6D544E53CE3E43F0 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist; path = Info.plist; sourceTree = "<group>"; };
		F2840E2A8444B5D60F2DCC9C /* Security.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = Security.framework; path = System/Library/Frameworks/Security.framework; sourceTree = SDKROOT; };
/* End PBXFileReference section */

/* Begin PBXFileSystemSynchronizedBuildFileExceptionSet section */
		28AC4E332DCFF4B000A78D36 /* PBXFileSystemSynchronizedBuildFileExceptionSet */ = {
			isa = PBXFileSystemSynchronizedBuildFileExceptionSet;
			membershipExceptions = (
				Info.plist,
			);
			target = 28AC4E272DCFF4B000A78D36 /* Sharing */;
		};
/* End PBXFileSystemSynchronizedBuildFileExceptionSet section */

/* Begin PBXFileSystemSynchronizedRootGroup section */
		28AC4E292DCFF4B000A78D36 /* Sharing */ = {isa = PBXFileSystemSynchronizedRootGroup; exceptions = (28AC4E332DCFF4B000A78D36 /* PBXFileSystemSynchronizedBuildFileExceptionSet */, ); explicitFileTypes = {}; explicitFolders = (); path = Sharing; sourceTree = "<group>"; };
/* End PBXFileSystemSynchronizedRootGroup section */

/* Begin PBXFrameworksBuildPhase section */
		26393DAD0BBD67E4F16745AC /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6AAF6095EAF01A93F2CE8305 /* libapp.a in Frameworks */,
				E13ADF7A534E46B1449CB980 /* CoreGraphics.framework in Frameworks */,
				4CF1B89C17C5E734976BEFBE /* Metal.framework in Frameworks */,
				A447CC741463FB47911E4B24 /* MetalKit.framework in Frameworks */,
				7123EC8A6063C72E5DA3E659 /* QuartzCore.framework in Frameworks */,
				CF2CEA32AF7EA58A3A0F365B /* Security.framework in Frameworks */,
				16C383BC47682E60119C08CB /* UIKit.framework in Frameworks */,
				BE9C241792BABFDF1D2DDE4F /* WebKit.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		28AC4E252DCFF4B000A78D36 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		37817BC58F972A116E99B5A4 /* bindings */ = {
			isa = PBXGroup;
			children = (
				6E834838D3CA26B3762E5A2C /* bindings.h */,
			);
			path = bindings;
			sourceTree = "<group>";
		};
		3976EF9B359101EBE231CF77 /* src */ = {
			isa = PBXGroup;
			children = (
				7B915725F1CF75963D589426 /* commands.rs */,
				4BA36EE3303714FB12529F11 /* lib.rs */,
				3ADC946E8026E7A68FA70BFA /* main.rs */,
				CD15C8A888D518BB414EB1DE /* screenshot.rs */,
				0A480F5846CD211418A57C1C /* shortcut.rs */,
				57AA2068BB6F43E241AB4438 /* state.rs */,
				0AF1829A934DE85E03752468 /* utils.rs */,
				7135138DF06A04E380F056CD /* window.rs */,
			);
			name = src;
			path = ../../src;
			sourceTree = "<group>";
		};
		5157718C625E46F07FAC4F7C /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				3DB38655A555F328EC1BB430 /* CoreGraphics.framework */,
				0C62A99D37C1C342BB06981B /* libapp.a */,
				4C6D4774DE6800DAE9E77C70 /* Metal.framework */,
				A96F98DDB426B456946F1D11 /* MetalKit.framework */,
				BE76A4E4971EE0237680C836 /* QuartzCore.framework */,
				F2840E2A8444B5D60F2DCC9C /* Security.framework */,
				21497598D6296AB30C0EBA84 /* UIKit.framework */,
				1ECBDB6420B28D950ADFD5BD /* WebKit.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		5D14D0B3A1E4F17999F21EC3 /* Haystack_iOS */ = {
			isa = PBXGroup;
			children = (
				470BC2848DBE1D2B07A68E45 /* Haystack_iOS.entitlements */,
				EBD929FA6D544E53CE3E43F0 /* Info.plist */,
			);
			path = Haystack_iOS;
			sourceTree = "<group>";
		};
		84D53E3A8587FE554E32F5F0 /* Products */ = {
			isa = PBXGroup;
			children = (
				D4A71980828D15BC10ECF3D2 /* Haystack.app */,
				28AC4E282DCFF4B000A78D36 /* Sharing.appex */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		99B42F02A0EEA086F70E7F36 /* Sources */ = {
			isa = PBXGroup;
			children = (
				F653AB1F253719325B2BC8D0 /* Haystack */,
			);
			path = Sources;
			sourceTree = "<group>";
		};
		A9913F960CDB1010002108D3 = {
			isa = PBXGroup;
			children = (
				821EF15B40968C544308C548 /* assets */,
				1C223AE96283F8269EFE1D03 /* Assets.xcassets */,
				2CE665AA7ABC7563C685FAA6 /* LaunchScreen.storyboard */,
				D4E3C8CB60536F9D70BE2F89 /* Externals */,
				5D14D0B3A1E4F17999F21EC3 /* Haystack_iOS */,
				99B42F02A0EEA086F70E7F36 /* Sources */,
				3976EF9B359101EBE231CF77 /* src */,
				28AC4E292DCFF4B000A78D36 /* Sharing */,
				5157718C625E46F07FAC4F7C /* Frameworks */,
				84D53E3A8587FE554E32F5F0 /* Products */,
			);
			sourceTree = "<group>";
		};
		D4E3C8CB60536F9D70BE2F89 /* Externals */ = {
			isa = PBXGroup;
			children = (
			);
			path = Externals;
			sourceTree = "<group>";
		};
		F653AB1F253719325B2BC8D0 /* Haystack */ = {
			isa = PBXGroup;
			children = (
				3B744E798409E96A0E89BC52 /* main.mm */,
				37817BC58F972A116E99B5A4 /* bindings */,
			);
			path = Haystack;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		28AC4E272DCFF4B000A78D36 /* Sharing */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 28AC4E342DCFF4B000A78D36 /* Build configuration list for PBXNativeTarget "Sharing" */;
			buildPhases = (
				28AC4E242DCFF4B000A78D36 /* Sources */,
				28AC4E252DCFF4B000A78D36 /* Frameworks */,
				28AC4E262DCFF4B000A78D36 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			fileSystemSynchronizedGroups = (
				28AC4E292DCFF4B000A78D36 /* Sharing */,
			);
			name = Sharing;
			packageProductDependencies = (
			);
			productName = Sharing;
			productReference = 28AC4E282DCFF4B000A78D36 /* Sharing.appex */;
			productType = "com.apple.product-type.app-extension";
		};
		28B448F5673D227E72859E56 /* Haystack_iOS */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 58C375D27CA00AE30B18A640 /* Build configuration list for PBXNativeTarget "Haystack_iOS" */;
			buildPhases = (
				6DAC3F72C0E614FB63E90870 /* Build Rust Code */,
				2B0A32A8DA58C48417D38579 /* Sources */,
				2A76C4DB730794FBF1561ED7 /* Resources */,
				26393DAD0BBD67E4F16745AC /* Frameworks */,
				283EED912DC6170E00943E7E /* Embed Foundation Extensions */,
			);
			buildRules = (
			);
			dependencies = (
				28AC4E312DCFF4B000A78D36 /* PBXTargetDependency */,
			);
			name = Haystack_iOS;
			packageProductDependencies = (
			);
			productName = Haystack_iOS;
			productReference = D4A71980828D15BC10ECF3D2 /* Haystack.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		193F5589816ED16BC8109D31 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = YES;
				LastSwiftUpdateCheck = 1630;
				LastUpgradeCheck = 1430;
				TargetAttributes = {
					28AC4E272DCFF4B000A78D36 = {
						CreatedOnToolsVersion = 16.3;
					};
				};
			};
			buildConfigurationList = C9EDF156AB15AE44726AF02B /* Build configuration list for PBXProject "Haystack" */;
			compatibilityVersion = "Xcode 14.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				Base,
				en,
			);
			mainGroup = A9913F960CDB1010002108D3;
			minimizedProjectReferenceProxies = 1;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				28B448F5673D227E72859E56 /* Haystack_iOS */,
				28AC4E272DCFF4B000A78D36 /* Sharing */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		28AC4E262DCFF4B000A78D36 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		2A76C4DB730794FBF1561ED7 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				9CD4A99062C9C9E459750476 /* Assets.xcassets in Resources */,
				E41492640ABA177519E3F513 /* LaunchScreen.storyboard in Resources */,
				963FC20F9ACC71A08235E8FE /* assets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		6DAC3F72C0E614FB63E90870 /* Build Rust Code */ = {
			isa = PBXShellScriptBuildPhase;
			alwaysOutOfDate = 1;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
			);
			name = "Build Rust Code";
			outputFileListPaths = (
			);
			outputPaths = (
				"$(SRCROOT)/Externals/x86_64/${CONFIGURATION}/libapp.a",
				"$(SRCROOT)/Externals/arm64/${CONFIGURATION}/libapp.a",
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "source ~/.zprofile\n\nbun tauri ios xcode-script -v --platform ${PLATFORM_DISPLAY_NAME:?} --sdk-root ${SDKROOT:?} --framework-search-paths \"${FRAMEWORK_SEARCH_PATHS:?}\" --header-search-paths \"${HEADER_SEARCH_PATHS:?}\" --gcc-preprocessor-definitions \"${GCC_PREPROCESSOR_DEFINITIONS:-}\" --configuration ${CONFIGURATION:?} ${FORCE_COLOR} ${ARCHS:?}\n";
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		28AC4E242DCFF4B000A78D36 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		2B0A32A8DA58C48417D38579 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				721E69F824DAAA8F37A0B200 /* main.mm in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		28AC4E312DCFF4B000A78D36 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 28AC4E272DCFF4B000A78D36 /* Sharing */;
			targetProxy = 28AC4E302DCFF4B000A78D36 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		17EFD3F6173E3547D2B12EE3 /* release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_ENTITLEMENTS = Haystack_iOS/Haystack_iOS.entitlements;
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = RNK8266B74;
				ENABLE_BITCODE = NO;
				"EXCLUDED_ARCHS[sdk=iphoneos*]" = x86_64;
				FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"\".\"",
				);
				INFOPLIST_FILE = Haystack_iOS/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				"LIBRARY_SEARCH_PATHS[arch=arm64]" = (
					"$(inherited)",
					"$(PROJECT_DIR)/Externals/arm64/$(CONFIGURATION)",
					"$(SDKROOT)/usr/lib/swift",
					"$(TOOLCHAIN_DIR)/usr/lib/swift/$(PLATFORM_NAME)",
					"$(TOOLCHAIN_DIR)/usr/lib/swift-5.0/$(PLATFORM_NAME)",
				);
				"LIBRARY_SEARCH_PATHS[arch=x86_64]" = (
					"$(inherited)",
					"$(PROJECT_DIR)/Externals/x86_64/$(CONFIGURATION)",
					"$(SDKROOT)/usr/lib/swift",
					"$(TOOLCHAIN_DIR)/usr/lib/swift/$(PLATFORM_NAME)",
					"$(TOOLCHAIN_DIR)/usr/lib/swift-5.0/$(PLATFORM_NAME)",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.haystack.app;
				PRODUCT_NAME = Haystack;
				PROVISIONING_PROFILE_SPECIFIER = "";
				SDKROOT = iphoneos;
				TARGETED_DEVICE_FAMILY = "1,2";
				VALID_ARCHS = arm64;
			};
			name = release;
		};
		28AC4E352DCFF4B000A78D36 /* debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_ENTITLEMENTS = Sharing/Sharingdebug.entitlements;
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				COPY_PHASE_STRIP = NO;
				CURRENT_PROJECT_VERSION = 1;
				DEBUG_INFORMATION_FORMAT = dwarf;
				DEVELOPMENT_TEAM = RNK8266B74;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = Sharing/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = Sharing;
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				IPHONEOS_DEPLOYMENT_TARGET = 15.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MARKETING_VERSION = 1.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				PRODUCT_BUNDLE_IDENTIFIER = com.haystack.app.Sharing;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = iphoneos;
				SKIP_INSTALL = YES;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = debug;
		};
		28AC4E362DCFF4B000A78D36 /* release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_ENTITLEMENTS = Sharing/Sharingrelease.entitlements;
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				COPY_PHASE_STRIP = NO;
				CURRENT_PROJECT_VERSION = 1;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				DEVELOPMENT_TEAM = RNK8266B74;
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = Sharing/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = Sharing;
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				IPHONEOS_DEPLOYMENT_TARGET = 15.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MARKETING_VERSION = 1.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				PRODUCT_BUNDLE_IDENTIFIER = com.haystack.app.Sharing;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = iphoneos;
				SKIP_INSTALL = YES;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				VALIDATE_PRODUCT = YES;
			};
			name = release;
		};
		4E8349933047E0253470E886 /* release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = NO;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				SWIFT_VERSION = 5.0;
			};
			name = release;
		};
		9506B521E6F9B2716C8C2B1D /* debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"$(inherited)",
					"DEBUG=1",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
				SWIFT_VERSION = 5.0;
			};
			name = debug;
		};
		C03D1D76D6D372BC34FF4DFD /* debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ARCHS = arm64;
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_ENTITLEMENTS = Haystack_iOS/Haystack_iOS.entitlements;
				CODE_SIGN_IDENTITY = "Apple Development";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = RNK8266B74;
				ENABLE_BITCODE = NO;
				"EXCLUDED_ARCHS[sdk=iphoneos*]" = x86_64;
				FRAMEWORK_SEARCH_PATHS = (
					"$(inherited)",
					"\".\"",
				);
				INFOPLIST_FILE = Haystack_iOS/Info.plist;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				"LIBRARY_SEARCH_PATHS[arch=arm64]" = (
					"$(inherited)",
					"$(PROJECT_DIR)/Externals/arm64/$(CONFIGURATION)",
					"$(SDKROOT)/usr/lib/swift",
					"$(TOOLCHAIN_DIR)/usr/lib/swift/$(PLATFORM_NAME)",
					"$(TOOLCHAIN_DIR)/usr/lib/swift-5.0/$(PLATFORM_NAME)",
				);
				"LIBRARY_SEARCH_PATHS[arch=x86_64]" = (
					"$(inherited)",
					"$(PROJECT_DIR)/Externals/x86_64/$(CONFIGURATION)",
					"$(SDKROOT)/usr/lib/swift",
					"$(TOOLCHAIN_DIR)/usr/lib/swift/$(PLATFORM_NAME)",
					"$(TOOLCHAIN_DIR)/usr/lib/swift-5.0/$(PLATFORM_NAME)",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.haystack.app;
				PRODUCT_NAME = Haystack;
				PROVISIONING_PROFILE_SPECIFIER = "";
				SDKROOT = iphoneos;
				TARGETED_DEVICE_FAMILY = "1,2";
				VALID_ARCHS = arm64;
			};
			name = debug;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		28AC4E342DCFF4B000A78D36 /* Build configuration list for PBXNativeTarget "Sharing" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				28AC4E352DCFF4B000A78D36 /* debug */,
				28AC4E362DCFF4B000A78D36 /* release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = debug;
		};
		58C375D27CA00AE30B18A640 /* Build configuration list for PBXNativeTarget "Haystack_iOS" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C03D1D76D6D372BC34FF4DFD /* debug */,
				17EFD3F6173E3547D2B12EE3 /* release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = debug;
		};
		C9EDF156AB15AE44726AF02B /* Build configuration list for PBXProject "Haystack" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				9506B521E6F9B2716C8C2B1D /* debug */,
				4E8349933047E0253470E886 /* release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = debug;
		};
/* End XCConfigurationList section */
	};
	rootObject = 193F5589816ED16BC8109D31 /* Project object */;
}
